> For the complete documentation index, see [llms.txt](https://docs.tomatophp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tomatophp.com/filament/filament-splade/usage.md).

# Usage

to make any page or resource interact with Splade you just need to use this trait

```
use TomatoPHP\FilamentSplade\Traits\InteractsWithSplade;
```

now you can use any splade component inside your resource.

if you like to use Splade everywhere register the plugin on `/app/Providers/Filament/AdminPanelProvider.php`

```php
->plugin(\TomatoPHP\FilamentSplade\FilamentSpladePlugin::make())
```

and make sure that you are `global_allow => true` on the config file.

### Register Splade Exceptions

on your `boostrap/app.php` file add this line

```php
->withExceptions(function (Exceptions $exceptions) {
    $exceptions->renderable(function (\Illuminate\Foundation\Exceptions\Handler $e) {
        return \ProtoneMedia\Splade\SpladeCore::exceptionHandler($e);
    });
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tomatophp.com/filament/filament-splade/usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
